<?php
namespace Claromentis\People\UseCase;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array();
use Claromentis\People\Filter\ExtranetFilter;
use Claromentis\People\PeopleAcl;
use Claromentis\People\Repository\ExtranetRepository;
class GetExtranets
{
    
    
    
    
    protected $acl;
    
    
    
    
    protected $repo;
    public function __construct(PeopleAcl $acl, ExtranetRepository $repo)
    {
        $this->acl = $acl;
        $this->repo = $repo;
    }
    public function GetExtranets(ExtranetFilter $_03e9164d0a343b742df4793268b80767) : array
    {
        $_03e9164d0a343b742df4793268b80767->SetPeopleAcl($this->acl);
        $_de506ef02d80cb87213a2bb0db0a70fc = $this->repo->search($_03e9164d0a343b742df4793268b80767);
        $total = $this->repo->countSearchTotal($_03e9164d0a343b742df4793268b80767);
        return [$_de506ef02d80cb87213a2bb0db0a70fc, $total];
    }
}